Copy for LLM[View as Markdown](https://docs.planet.com/develop/apis/async-processing/reference/) # Asynchronous Processing API Reference * Async API * Async Process * postSubmit a new async process request * getGet status of the request [API docs by Redocly](https://redocly.com/redoc/) # API Reference (1.0.0) Download OpenAPI specification:[Download](https://docs.planet.com/redocusaurus/sh-prod-async-process-api-spec.yaml) ## [](#tag/async_process)Async Process **NOTE:** *Asynchronous Processing API is currently in beta release.* ## [](#tag/async_process/operation/createNewAsyncProcessRequest)Submit a new async process request ##### Authorizations: *OAuth2* ##### Request Body schema: application/json | | | | ------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- | | inputrequired | object (ProcessRequestInput) | | outputrequired | object (AsyncProcessRequestOutput) | | evalscript | stringYour evalscript. For details, click [here](https://docs.planet.com/develop/evalscripts/).Either this or `evalscriptReference` parameter is required. | | evalscriptReference | S3BucketInfo (object) or GSBucketInfo (object) (ObjectStorageInfoV2) | ### Responses **200** Request submitted **400** Bad request **401** Unauthorized **403** Insufficient permissions **429** Maximum number of concurrent async requests reached. post/async/v1/process https\://services.sentinel-hub.com/async/v1/process ### Request samples * Payload Content type application/json Copy Expand all Collapse all `{ "input": { "bounds": { "bbox": [ 13.822174072265625, 45.85080395917834, 14.55963134765625, 46.29191774991382 ], "geometry": { "type": "Polygon", "coordinates": [ [ [ 14.000701904296873, 46.23685258143992 ], [ 13.822174072265625, 46.09037664604301 ], [ 14.113311767578125, 45.85080395917834 ], [ 14.55963134765625, 46.038922598236 ], [ 14.441528320312498, 46.28717293114449 ], [ 14.17236328125, 46.29191774991382 ], [ 14.000701904296873, 46.23685258143992 ] ] ] }, "properties": { "crs": "http://www.opengis.net/def/crs/OGC/1.3/CRS84" } }, "data": [ { "type": "sentinel-2-l1c", "id": "string", "dataFilter": { "timeRange": { "from": "2018-10-01T00:00:00.000Z", "to": "2018-11-01T00:00:00.000Z" }, "mosaickingOrder": "mostRecent", "maxCloudCoverage": 100 }, "processing": { "upsampling": "NEAREST", "downsampling": "NEAREST", "harmonizeValues": true } } ] }, "output": { "width": 512, "height": 512, "resx": 0.1, "resy": 0.1, "responses": [ { "identifier": "", "format": { "type": "image/png" } } ], "delivery": { "s3": { "url": "string", "iamRoleARN": "string", "accessKey": "string", "secretAccessKey": "string", "region": "string" } } }, "evalscript": "string", "evalscriptReference": { "s3": { "url": "string", "iamRoleARN": "string", "accessKey": "string", "secretAccessKey": "string", "region": "string" } } }` ### Response samples * 200 * 400 Content type application/json Copy `{ "id": "string", "status": "RUNNING" }` ## [](#tag/async_process/operation/getStatusAsyncRequest)Get status of the request The status of the request will only be returned while it's running. After completion (either succeed or failure) this endpoint will return 404. ##### Authorizations: *OAuth2* ##### path Parameters | | | | ----------------- | ------------------------ | | requestIdrequired | string \Request ID | ### Responses **200** Successful response **401** Unauthorized **403** Insufficient permissions **404** Not found get/async/v1/process/{requestId} https\://services.sentinel-hub.com/async/v1/process/{requestId} ### Response samples * 200 * 404 Content type application/json Copy `{ "id": "string", "status": "RUNNING" }`